%define pypi_name cloudpickle
%define desc cloudpickle makes it possible to serialize Python constructs \
not supported by the default pickle module from the Python standard \
library. cloudpickle is especially useful for cluster computing where \
Python expressions are shipped over the network to execute on remote \
hosts, possibly close to the data. Among other things, cloudpickle \
supports pickling for lambda expressions, functions and classes defined \
interactively in the __main__ module.

%define run_test 0

Name:           python-%{pypi_name}
Version:        1.6.0
Release:        %mkrel 1
Summary:        Extended pickling support for Python objects
Group:          Development/Python
License:        BSD
URL:            https://github.com/cloudpipe/cloudpickle
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

# Test requirements
%if 0%{?run_test}
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(tornado)
%endif


%description
%{desc}


%package -n     python3-%{pypi_name}
Group:          Development/Python
Summary:        Extended pickling support for Python3 objects
%{?python_provide:%python_provide python3-%{pypi_name}}


%description -n python3-%{pypi_name}
%{desc}


%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%py3_build


%install
%py3_install


%if 0%{?run_test}
%check
%{__python3} setup.py test || :
%endif


%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Mon Sep 14 2020 guillomovitch <guillomovitch> 1.6.0-1.mga8
+ Revision: 1626326
- new version 1.6.0

* Fri May 01 2020 daviddavid <daviddavid> 1.4.1-1.mga8
+ Revision: 1577409
- new version: 1.4.1

* Wed Apr 29 2020 daviddavid <daviddavid> 1.4.0-1.mga8
+ Revision: 1573142
- new version: 1.4.0

* Thu Feb 20 2020 daviddavid <daviddavid> 1.3.0-1.mga8
+ Revision: 1546088
- new version: 1.3.0

* Sun Feb 16 2020 umeabot <umeabot> 1.2.2-2.mga8
+ Revision: 1533113
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 daviddavid <daviddavid> 1.2.2-1.mga8
+ Revision: 1443465
- new version: 1.2.2
- rebuild for python3.8
- drop python2 support

* Wed Apr 17 2019 wally <wally> 0.8.1-1.mga7
+ Revision: 1392261
- new version 0.8.1

* Sun Jan 13 2019 wally <wally> 0.6.1-1.mga7
+ Revision: 1355973
- new version 0.6.1

* Tue Jan 08 2019 shlomif <shlomif> 0.5.3-1.mga7
+ Revision: 1352231
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.5.2-2.mga7
+ Revision: 1288423
- Mageia 7 Mass Rebuild

* Mon Mar 12 2018 philippem <philippem> 0.5.2-1.mga7
+ Revision: 1208402
- add group
- imported package python-cloudpickle

